package com.caimei.service.user.impl;

import com.caimei.entity.CmOperationUser;
import com.caimei.mapper.user.LoginMapper;
import com.caimei.service.user.LoginService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service
public class LoginServiceImpl implements LoginService {
    @Autowired
    private LoginMapper loginMapper;

    @Override
    public CmOperationUser doLogin(String openid, Integer userOrganizeID) {
        CmOperationUser operationUser = loginMapper.doLogin(openid, userOrganizeID);
        return operationUser;
    }

    @Override
    public CmOperationUser isEnabled(String invitationCode, Integer userOrganizeID) {
        CmOperationUser operationUser = loginMapper.isEnabled(invitationCode, userOrganizeID);
        return operationUser;
    }

    @Override
    public void update(CmOperationUser operationUser) {
        CmOperationUser user = loginMapper.query(operationUser);
        //判断是否存在已下线的会所用户
        if (user != null) {
            user.setOpenid("");
            user.setLinkName("");
            user.setBindTime(null);
            user.setDelFlag("1");
            user.setStatus("1");
            user.setUpdateTime(new Date());
            loginMapper.updateOperationUser(user);
        }
        operationUser.setStatus("2");
        operationUser.setBindTime(new Date());
        operationUser.setUpdateTime(new Date());
        loginMapper.update(operationUser);
    }

    @Override
    public String cellPhone(Integer userOrganizeID) {
        return loginMapper.cellPhone(userOrganizeID);
    }
}
